Summary:   Image display and analysis
Name:      imview
Version:   1.1.8
Release:   %mkrel 8
License:   GPLv2+
Group:     Graphics
Source:    http://experimental.act.cmis.csiro.au/imview/download/imview-src-%{version}.tar.bz2
# use www-browser instead of netscape to display docs
Patch0:    imview-www-browser.patch
Patch1:	   imview-1.1.8-dont-link-static.patch
Patch2:	   imview-1.1.8-includes.patch
URL: 	   http://www.cmis.csiro.au/hugues.talbot/imview
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: fltk-devel
BuildRequires: jpeg-devel
BuildRequires: libmagick-devel
BuildRequires: libxinerama-devel
BuildRequires: tiff-devel

%description
This application allows the user to display a variety of image formats
and to help analyse the content of images. It can perform as a general-
purpose image display program with some nice features, but it is
designed with the profesionnal image analysis/image processing person 
in mind.

%prep
%setup -q
%patch0
%patch1 -p1
%patch2 -p1
autoconf

%build
# needed to build on x86_64
export CXXFLAGS="$RPM_BUILD_OPTS -fpermissive"

%configure2_5x --with-jpeg --with-tiff --with-magick
%make depend
%make

%install
make DESTDIR="$RPM_BUILD_ROOT" install-strip
# man dir is wrong
mv $RPM_BUILD_ROOT/usr/man $RPM_BUILD_ROOT/%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%{_bindir}/imview
%{_datadir}/Imview
%{_mandir}/man*/*
%doc README COPYING ChangeLog



%changelog
* Fri Jan 30 2009 Götz Waschk <waschk@mandriva.org> 1.1.8-8mdv2009.1
+ Revision: 335424
- fix license
- don't try to statically link fltk
- add missing includes
- fix configure call

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Thu Feb 14 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.8-7mdv2008.1
+ Revision: 167676
- rebuilt against new imagemagick libs

* Tue Jan 08 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.8-6mdv2008.1
+ Revision: 146500
- rebuilt against new imagemagick libs (6.3.7)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon May 07 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.1.8-5mdv2008.0
+ Revision: 24865
- Added missing BuildRequires for libxinerama-devel.
- Rebuild with new libjasper.


* Fri Mar 24 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.1.8-4mdk
- rebuild for new lib(64)Magick

* Mon Jan 02 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.1.8-3mdk
- rebuild for new lib(64)Magick

* Mon Oct 31 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.1.8-2mdk
- fix build on x86_64

* Tue Sep 20 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.1.8-1mdk
- first contrib

